io.milvus.orm.iterator

## Class SearchIterator

- java.lang.Object
- - io.milvus.orm.iterator.SearchIterator

-     public class SearchIterator
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SearchIterator(SearchIteratorParam searchIteratorParam, io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, FieldType primaryField)`
    `SearchIterator(SearchIteratorReq searchIteratorReq, io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, CreateCollectionReq.FieldSchema primaryField)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `java.util.List<QueryResultsWrapper.RowRecord>` | `next()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SearchIterator

          public SearchIterator(SearchIteratorParam searchIteratorParam,
                                io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                                FieldType primaryField)

    - #### SearchIterator

          public SearchIterator(SearchIteratorReq searchIteratorReq,
                                io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                                CreateCollectionReq.FieldSchema primaryField)

  - ### Method Detail

    - #### next

          public java.util.List<QueryResultsWrapper.RowRecord> next()

    - #### close

          public void close()